素敵なおひげですね

PowerShellを中心に気分で書いているブログです。

Windows版のVagrant 1.7.0のインストーラーがバグっている件


(2014/12/15追記)
本エントリの問題が解消されたVagrant 1.7.1がリリースされました。
Vagrant 1.7.1ではvagrantコマンドを通常通り使うことが出来る様になっています。



現時点(2014/12/12)でWindows版のVagrant1.7.0をインストールすると、vagrantコマンドを実行した際に

Failed to find Vagrant!

とエラーメッセージが表示され何もすることが出来なくなってしまいます。vagrant --versionすらできません。

原因

Windows版のインストーラーの内容が不正な様です。
GithubのIssueに "Failed to find Vagrant!" on Windows 8 · Issue #4924 · mitchellh/vagrant · GitHub として登録されており目下対応中なのでいずれ解消されると思います。

ちなみに1.6.5と1.7.0でモジュールの差分を取ってみたところ、1.7.0では¥embedded¥gemsフォルダがごっそり消えているのでそりゃ動かんわって感じになっております。